View Issue Details

IDProjectCategoryView StatusLast Update
0000800Industrial-Craft²crossmod-compatibility / submodules / APIpublic2014-01-12 04:51
ReporterSlashHackerAssigned ToPlayer 
PrioritynormalSeveritycrashReproducibilityalways
Status resolvedResolutionfixed 
PlatformPCOSWindowsOS Version7
Product Version 
Target VersionFixed in Version 
Summary0000800: IC2Achievements does not properly check to ensure that the EntityPlayer pased is not null
DescriptionIf null is passed to GameRegistry.onItemCrafted the game will crash when the IC2Achievements handler is called. The handler should check to see if the player is null before attempting to award achievements since the handler may be called for events outside of player crafting(such as an automated crafting table.)
Steps To ReproduceSimply call GameRegistry.onItemCrafted with null for the first parameter.

Minecraft: 1.6.4
Forge: 9.11.0.883
IC2: industrialcraft-2-dev-deobf_2.0.301-experimental
Additional InformationIt should be safe to assume that if the entity passed is null, there should not be anything that needs to be done with it. This would enable the handlers to still be used for operations that don't involve player's.
TagsNo tags attached.
Minecraft Version

Activities

SlashHacker

2013-11-15 22:09

reporter  

crash.txt (33,586 bytes)
2013-11-15 16:25:32 [INFO] [ForgeModLoader] Forge Mod Loader version 6.4.3.883 for Minecraft 1.6.4 loading
2013-11-15 16:25:32 [INFO] [ForgeModLoader] Java is Java HotSpot(TM) 64-Bit Server VM, version 1.7.0_40, running on Windows 7:amd64:6.1, installed at D:\Java\jre7
2013-11-15 16:25:32 [INFO] [ForgeModLoader] Managed to load a deobfuscated Minecraft name- we are in a deobfuscated environment. Skipping runtime deobfuscation
2013-11-15 16:25:32 [WARNING] [ForgeModLoader] The coremod codechicken.core.launch.CodeChickenCorePlugin does not have a MCVersion annotation, it may cause issues with this version of Minecraft
2013-11-15 16:25:33 [WARNING] [ForgeModLoader] The coremod ic2.core.coremod.IC2core does not have a MCVersion annotation, it may cause issues with this version of Minecraft
2013-11-15 16:25:33 [WARNING] [ForgeModLoader] The coremod codechicken.nei.asm.NEICorePlugin does not have a MCVersion annotation, it may cause issues with this version of Minecraft
2013-11-15 16:25:33 [INFO] [STDOUT] Loaded 40 rules from AccessTransformer config file fml_at.cfg
2013-11-15 16:25:33 [INFO] [STDOUT] Loaded 109 rules from AccessTransformer config file forge_at.cfg
2013-11-15 16:25:33 [INFO] [STDOUT] Loaded 40 rules from AccessTransformer config file fml_at.cfg
2013-11-15 16:25:33 [SEVERE] [ForgeModLoader] The binary patch set is missing. Either you are in a development environment, or things are not going to work!
2013-11-15 16:25:33 [INFO] [STDOUT] Adding AccessTransformer: nei_at.cfg
2013-11-15 16:25:33 [INFO] [STDOUT] Adding Accesstransformer map: temp.dat
2013-11-15 16:25:33 [INFO] [STDOUT] Loaded 54 rules from AccessTransformer config file temp.dat
2013-11-15 16:25:33 [INFO] [IC2-core] Loaded library ejml-0.23.jar.
2013-11-15 16:25:33 [INFO] [ForgeModLoader] Launching wrapped minecraft {net.minecraft.client.main.Main}
2013-11-15 16:25:34 [INFO] [STDOUT] Inserted super call into net.minecraft.client.gui.inventory.GuiInventory.updateScreen
2013-11-15 16:25:34 [INFO] [STDOUT] net.minecraft.client.gui.inventory.GuiContainer was overriden from NotEnoughItems-dev 1.6.1.5_d1.jar
2013-11-15 16:25:34 [INFO] [Minecraft-Client] Setting user: Player361
2013-11-15 16:25:34 [INFO] [Minecraft-Client] (Session ID is null)
2013-11-15 16:25:35 [INFO] [STDOUT] Generated BlockMobSpawner helper method.
2013-11-15 16:25:35 [INFO] [Minecraft-Client] LWJGL Version: 2.9.0
2013-11-15 16:25:36 [INFO] [Minecraft-Client] Reloading ResourceManager: Default
2013-11-15 16:25:37 [INFO] [STDOUT] 
2013-11-15 16:25:37 [INFO] [STDOUT] Starting up SoundSystem...
2013-11-15 16:25:37 [INFO] [STDOUT] Initializing LWJGL OpenAL
2013-11-15 16:25:37 [INFO] [STDOUT]     (The LWJGL binding of OpenAL.  For more information, see http://www.lwjgl.org)
2013-11-15 16:25:37 [INFO] [MinecraftForge] Attempting early MinecraftForge initialization
2013-11-15 16:25:37 [INFO] [STDOUT] MinecraftForge v9.11.0.883 Initialized
2013-11-15 16:25:37 [INFO] [ForgeModLoader] MinecraftForge v9.11.0.883 Initialized
2013-11-15 16:25:37 [INFO] [STDOUT] Replaced 101 ore recipies
2013-11-15 16:25:37 [INFO] [STDOUT] OpenAL initialized.
2013-11-15 16:25:37 [INFO] [MinecraftForge] Completed early MinecraftForge initialization
2013-11-15 16:25:37 [INFO] [ForgeModLoader] Reading custom logging properties from D:\forge\minecraftforge-src-1.6.4-9.11.0.883\forge\mcp\jars\config\logging.properties
2013-11-15 16:25:37 [OFF] [ForgeModLoader] Logging level for ForgeModLoader logging is set to ALL
2013-11-15 16:25:37 [INFO] [ForgeModLoader] Searching D:\forge\minecraftforge-src-1.6.4-9.11.0.883\forge\mcp\jars\mods for mods
2013-11-15 16:25:37 [INFO] [ForgeModLoader] Also searching D:\forge\minecraftforge-src-1.6.4-9.11.0.883\forge\mcp\jars\mods\1.6.4 for mods
2013-11-15 16:25:37 [INFO] [STDOUT] 
2013-11-15 16:25:38 [INFO] [ForgeModLoader] Forge Mod Loader has identified 7 mods to load
2013-11-15 16:25:38 [INFO] [mcp] Activating mod mcp
2013-11-15 16:25:38 [INFO] [FML] Activating mod FML
2013-11-15 16:25:38 [INFO] [Forge] Activating mod Forge
2013-11-15 16:25:38 [INFO] [CodeChickenCore] Activating mod CodeChickenCore
2013-11-15 16:25:38 [INFO] [NotEnoughItems] Activating mod NotEnoughItems
2013-11-15 16:25:38 [INFO] [ic2stuff] Activating mod ic2stuff
2013-11-15 16:25:38 [INFO] [IC2] Activating mod IC2
2013-11-15 16:25:38 [WARNING] [Forge Mod Loader] Mod Forge Mod Loader is missing a pack.mcmeta file, things may not work well
2013-11-15 16:25:38 [WARNING] [Minecraft Forge] Mod Minecraft Forge is missing a pack.mcmeta file, things may not work well
2013-11-15 16:25:38 [WARNING] [Not Enough Items] Mod Not Enough Items is missing a pack.mcmeta file, things may not work well
2013-11-15 16:25:38 [WARNING] [ic2stuff] Mod ic2stuff is missing a pack.mcmeta file, things may not work well
2013-11-15 16:25:38 [INFO] [Minecraft-Client] Reloading ResourceManager: Default, FMLFileResourcePack:Forge Mod Loader, FMLFileResourcePack:Minecraft Forge, FMLFileResourcePack:Not Enough Items, FMLFileResourcePack:ic2stuff, FMLFileResourcePack:IndustrialCraft 2
2013-11-15 16:25:38 [INFO] [STDOUT] 
2013-11-15 16:25:38 [INFO] [STDOUT] SoundSystem shutting down...
2013-11-15 16:25:38 [INFO] [STDOUT]     Author: Paul Lamb, www.paulscode.com
2013-11-15 16:25:38 [INFO] [STDOUT] 
2013-11-15 16:25:38 [INFO] [STDOUT] 
2013-11-15 16:25:38 [INFO] [STDOUT] Starting up SoundSystem...
2013-11-15 16:25:38 [INFO] [ForgeModLoader] FML has found a non-mod file CodeChickenLib-dev-1.6.4-1.0.0.36.jar in your mods directory. It will now be injected into your classpath. This could severe stability issues, it should be removed if possible.
2013-11-15 16:25:38 [INFO] [ForgeModLoader] Registering Forge Packet Handler
2013-11-15 16:25:38 [INFO] [ForgeModLoader] Succeeded registering Forge Packet Handler
2013-11-15 16:25:39 [INFO] [STDOUT] Initializing LWJGL OpenAL
2013-11-15 16:25:39 [INFO] [STDOUT]     (The LWJGL binding of OpenAL.  For more information, see http://www.lwjgl.org)
2013-11-15 16:25:39 [INFO] [STDOUT] OpenAL initialized.
2013-11-15 16:25:39 [INFO] [STDOUT] 
2013-11-15 16:25:39 [INFO] [ForgeModLoader] Configured a dormant chunk cache size of 0
2013-11-15 16:25:39 [INFO] [IC2] Starting initialization
2013-11-15 16:25:39 [INFO] [IC2] Config loaded from D:\forge\minecraftforge-src-1.6.4-9.11.0.883\forge\mcp\jars\.\config\IC2.cfg
2013-11-15 16:25:39 [INFO] [IC2] Using 32 audio sources.
2013-11-15 16:25:40 [INFO] [IC2] Finished initialization after 1304 ms
2013-11-15 16:25:41 [SEVERE] [Minecraft-Client] Using missing texture, unable to load: ic2stuff:textures/blocks/electricAssembler0.png
2013-11-15 16:25:41 [SEVERE] [Minecraft-Client] Using missing texture, unable to load: ic2stuff:textures/blocks/electricAssembler2.png
2013-11-15 16:25:41 [SEVERE] [Minecraft-Client] Using missing texture, unable to load: ic2stuff:textures/blocks/electricAssembler1.png
2013-11-15 16:25:41 [SEVERE] [Minecraft-Client] Using missing texture, unable to load: ic2stuff:textures/blocks/electricAssembler4.png
2013-11-15 16:25:41 [SEVERE] [Minecraft-Client] Using missing texture, unable to load: ic2stuff:textures/blocks/electricAssembler3.png
2013-11-15 16:25:41 [SEVERE] [Minecraft-Client] Using missing texture, unable to load: ic2stuff:textures/blocks/electricAssembler5.png
2013-11-15 16:25:42 [SEVERE] [Minecraft-Client] Using missing texture, unable to load: ic2:textures/items/plasmaLauncher.png
2013-11-15 16:25:42 [INFO] [STDOUT] Removing TMI Uninstaller
2013-11-15 16:25:42 [INFO] [STDOUT] Deleting Dir: D:\forge\minecraftforge-src-1.6.4-9.11.0.883\forge\mcp\eclipse\Minecraft\bin\net\minecraft\client\TMIUninstaller
2013-11-15 16:25:42 [INFO] [IC2] Loading IC2 submodule: bcIntegration
2013-11-15 16:25:42 [INFO] [IC2] Submodule bcIntegration not loaded
2013-11-15 16:25:42 [INFO] [ForgeModLoader] Forge Mod Loader has successfully loaded 7 mods
2013-11-15 16:25:42 [WARNING] [Forge Mod Loader] Mod Forge Mod Loader is missing a pack.mcmeta file, things may not work well
2013-11-15 16:25:42 [WARNING] [Minecraft Forge] Mod Minecraft Forge is missing a pack.mcmeta file, things may not work well
2013-11-15 16:25:42 [WARNING] [Not Enough Items] Mod Not Enough Items is missing a pack.mcmeta file, things may not work well
2013-11-15 16:25:42 [WARNING] [ic2stuff] Mod ic2stuff is missing a pack.mcmeta file, things may not work well
2013-11-15 16:25:42 [INFO] [Minecraft-Client] Reloading ResourceManager: Default, FMLFileResourcePack:Forge Mod Loader, FMLFileResourcePack:Minecraft Forge, FMLFileResourcePack:Not Enough Items, FMLFileResourcePack:ic2stuff, FMLFileResourcePack:IndustrialCraft 2
2013-11-15 16:25:42 [SEVERE] [Minecraft-Client] Using missing texture, unable to load: ic2:textures/items/plasmaLauncher.png
2013-11-15 16:25:42 [SEVERE] [Minecraft-Client] Using missing texture, unable to load: minecraft:textures/blocks/MISSING_ICON_TILE_505_SlidingDoorBlock.png
2013-11-15 16:25:42 [SEVERE] [Minecraft-Client] Using missing texture, unable to load: ic2stuff:textures/blocks/electricAssembler0.png
2013-11-15 16:25:42 [SEVERE] [Minecraft-Client] Using missing texture, unable to load: ic2stuff:textures/blocks/electricAssembler2.png
2013-11-15 16:25:42 [SEVERE] [Minecraft-Client] Using missing texture, unable to load: ic2stuff:textures/blocks/electricAssembler1.png
2013-11-15 16:25:42 [SEVERE] [Minecraft-Client] Using missing texture, unable to load: ic2stuff:textures/blocks/electricAssembler4.png
2013-11-15 16:25:42 [SEVERE] [Minecraft-Client] Using missing texture, unable to load: ic2stuff:textures/blocks/electricAssembler3.png
2013-11-15 16:25:42 [SEVERE] [Minecraft-Client] Using missing texture, unable to load: ic2stuff:textures/blocks/electricAssembler5.png
2013-11-15 16:25:43 [INFO] [STDOUT] 
2013-11-15 16:25:43 [INFO] [STDOUT] SoundSystem shutting down...
2013-11-15 16:25:43 [INFO] [STDOUT]     Author: Paul Lamb, www.paulscode.com
2013-11-15 16:25:43 [INFO] [STDOUT] 
2013-11-15 16:25:43 [INFO] [STDOUT] 
2013-11-15 16:25:43 [INFO] [STDOUT] Starting up SoundSystem...
2013-11-15 16:25:43 [INFO] [STDOUT] Initializing LWJGL OpenAL
2013-11-15 16:25:43 [INFO] [STDOUT]     (The LWJGL binding of OpenAL.  For more information, see http://www.lwjgl.org)
2013-11-15 16:25:43 [INFO] [STDOUT] OpenAL initialized.
2013-11-15 16:25:43 [SEVERE] [Minecraft-Client] Realms: Invalid session id
2013-11-15 16:25:43 [INFO] [STDOUT] 
2013-11-15 16:25:48 [INFO] [Minecraft-Server] Starting integrated minecraft server version 1.6.4
2013-11-15 16:25:48 [INFO] [Minecraft-Server] Generating keypair
2013-11-15 16:25:49 [INFO] [ForgeModLoader] Loading dimension 0 (New World) (net.minecraft.server.integrated.IntegratedServer@3837eb50)
2013-11-15 16:25:49 [INFO] [ForgeModLoader] Loading dimension 1 (New World) (net.minecraft.server.integrated.IntegratedServer@3837eb50)
2013-11-15 16:25:49 [INFO] [ForgeModLoader] Loading dimension -1 (New World) (net.minecraft.server.integrated.IntegratedServer@3837eb50)
2013-11-15 16:25:49 [INFO] [Minecraft-Server] Preparing start region for level 0
2013-11-15 16:25:49 [INFO] [STDOUT] Loading NEI
2013-11-15 16:25:49 [INFO] [STDOUT] loading single player
2013-11-15 16:25:49 [INFO] [Minecraft-Server] Player361[/127.0.0.1:0] logged in with entity id 291 at (241.31935621333068, 72.0, 203.07993944146077)
2013-11-15 16:25:49 [INFO] [Minecraft-Server] Player361 joined the game
2013-11-15 16:25:50 [INFO] [STDOUT] Loading Player: Player361
2013-11-15 16:25:50 [INFO] [STDOUT] Sending serverside check to: Player361
2013-11-15 16:25:50 [INFO] [STDOUT] Setting up custom skins
2013-11-15 16:25:50 [INFO] [STDOUT] Loading World: local/New World
2013-11-15 16:25:51 [INFO] [STDOUT] Loaded slashhacker.ic2stuff.NEIIC2StuffConfig
2013-11-15 16:25:51 [INFO] [STDOUT] IC2 NEI Submodule initialized
2013-11-15 16:25:51 [INFO] [STDOUT] Loaded ic2.neiIntegration.core.NEIIC2Config
2013-11-15 16:25:51 [INFO] [Minecraft-Server] Saving and pausing game...
2013-11-15 16:25:51 [INFO] [Minecraft-Server] Saving chunks for level 'New World'/Overworld
2013-11-15 16:25:51 [INFO] [Minecraft-Server] Saving chunks for level 'New World'/Nether
2013-11-15 16:25:51 [INFO] [Minecraft-Server] Saving chunks for level 'New World'/The End
2013-11-15 16:26:03 [INFO] [STDOUT] Inserted super call into net.minecraft.client.gui.inventory.GuiContainerCreative.updateScreen
2013-11-15 16:26:04 [INFO] [Minecraft-Server] Stopping server
2013-11-15 16:26:04 [INFO] [Minecraft-Server] Saving players
2013-11-15 16:26:04 [INFO] [Minecraft-Server] Player361 left the game
2013-11-15 16:26:04 [INFO] [STDOUT] Unloading Player: Player361
2013-11-15 16:26:04 [INFO] [Minecraft-Server] Saving worlds
2013-11-15 16:26:04 [INFO] [Minecraft-Server] Saving chunks for level 'New World'/Overworld
2013-11-15 16:26:04 [INFO] [Minecraft-Server] Saving chunks for level 'New World'/Nether
2013-11-15 16:26:04 [INFO] [Minecraft-Server] Saving chunks for level 'New World'/The End
2013-11-15 16:26:04 [INFO] [ForgeModLoader] Unloading dimension 0
2013-11-15 16:26:04 [INFO] [ForgeModLoader] Unloading dimension -1
2013-11-15 16:26:04 [INFO] [ForgeModLoader] Unloading dimension 1
2013-11-15 16:26:05 [INFO] [STDERR] net.minecraft.util.ReportedException: Exception in world tick
2013-11-15 16:26:05 [INFO] [STDERR] 	at net.minecraft.client.Minecraft.runTick(Minecraft.java:1944)
2013-11-15 16:26:05 [INFO] [STDERR] 	at net.minecraft.client.Minecraft.runGameLoop(Minecraft.java:908)
2013-11-15 16:26:05 [INFO] [STDERR] 	at net.minecraft.client.Minecraft.run(Minecraft.java:836)
2013-11-15 16:26:05 [INFO] [STDERR] 	at net.minecraft.client.main.Main.main(Main.java:93)
2013-11-15 16:26:05 [INFO] [STDERR] 	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
2013-11-15 16:26:05 [INFO] [STDERR] 	at sun.reflect.NativeMethodAccessorImpl.invoke(Unknown Source)
2013-11-15 16:26:05 [INFO] [STDERR] 	at sun.reflect.DelegatingMethodAccessorImpl.invoke(Unknown Source)
2013-11-15 16:26:05 [INFO] [STDERR] 	at java.lang.reflect.Method.invoke(Unknown Source)
2013-11-15 16:26:05 [INFO] [STDERR] 	at net.minecraft.launchwrapper.Launch.launch(Launch.java:131)
2013-11-15 16:26:05 [INFO] [STDERR] 	at net.minecraft.launchwrapper.Launch.main(Launch.java:27)
2013-11-15 16:26:05 [INFO] [STDERR] Caused by: java.lang.NullPointerException
2013-11-15 16:26:05 [INFO] [STDERR] 	at ic2.core.IC2Achievements.onCrafting(IC2Achievements.java:139)
2013-11-15 16:26:05 [INFO] [STDERR] 	at cpw.mods.fml.common.registry.GameRegistry.onItemCrafted(GameRegistry.java:322)
2013-11-15 16:26:05 [INFO] [STDERR] 	at slashhacker.ic2stuff.ElectricAssemblerTileEntity.craftItem(ElectricAssemblerTileEntity.java:211)
2013-11-15 16:26:05 [INFO] [STDERR] 	at slashhacker.ic2stuff.ElectricAssemblerTileEntity.onInventoryChanged(ElectricAssemblerTileEntity.java:253)
2013-11-15 16:26:05 [INFO] [STDERR] 	at net.minecraft.inventory.Slot.onSlotChanged(Slot.java:116)
2013-11-15 16:26:05 [INFO] [STDERR] 	at net.minecraft.inventory.Slot.putStack(Slot.java:108)
2013-11-15 16:26:05 [INFO] [STDERR] 	at net.minecraft.inventory.Container.putStacksInSlots(Container.java:562)
2013-11-15 16:26:05 [INFO] [STDERR] 	at net.minecraft.client.multiplayer.NetClientHandler.handleWindowItems(NetClientHandler.java:1284)
2013-11-15 16:26:05 [INFO] [STDERR] 	at net.minecraft.network.packet.Packet104WindowItems.processPacket(Packet104WindowItems.java:67)
2013-11-15 16:26:05 [INFO] [STDERR] 	at net.minecraft.network.MemoryConnection.processReadPackets(MemoryConnection.java:89)
2013-11-15 16:26:05 [INFO] [STDERR] 	at net.minecraft.client.multiplayer.NetClientHandler.processReadPackets(NetClientHandler.java:281)
2013-11-15 16:26:05 [INFO] [STDERR] 	at net.minecraft.client.multiplayer.WorldClient.tick(WorldClient.java:99)
2013-11-15 16:26:05 [INFO] [STDERR] 	at net.minecraft.client.Minecraft.runTick(Minecraft.java:1928)
2013-11-15 16:26:05 [INFO] [STDERR] 	... 9 more
2013-11-15 16:26:05 [INFO] [STDOUT] ---- Minecraft Crash Report ----
2013-11-15 16:26:05 [INFO] [STDOUT] // I'm sorry, Dave.
2013-11-15 16:26:05 [INFO] [STDOUT] 
2013-11-15 16:26:05 [INFO] [STDOUT] Time: 11/15/13 4:26 PM
2013-11-15 16:26:05 [INFO] [STDOUT] Description: Exception in world tick
2013-11-15 16:26:05 [INFO] [STDOUT] 
2013-11-15 16:26:05 [INFO] [STDOUT] java.lang.NullPointerException
2013-11-15 16:26:05 [INFO] [STDOUT] 	at ic2.core.IC2Achievements.onCrafting(IC2Achievements.java:139)
2013-11-15 16:26:05 [INFO] [STDOUT] 	at cpw.mods.fml.common.registry.GameRegistry.onItemCrafted(GameRegistry.java:322)
2013-11-15 16:26:05 [INFO] [STDOUT] 	at slashhacker.ic2stuff.ElectricAssemblerTileEntity.craftItem(ElectricAssemblerTileEntity.java:211)
2013-11-15 16:26:05 [INFO] [STDOUT] 	at slashhacker.ic2stuff.ElectricAssemblerTileEntity.onInventoryChanged(ElectricAssemblerTileEntity.java:253)
2013-11-15 16:26:05 [INFO] [STDOUT] 	at net.minecraft.inventory.Slot.onSlotChanged(Slot.java:116)
2013-11-15 16:26:05 [INFO] [STDOUT] 	at net.minecraft.inventory.Slot.putStack(Slot.java:108)
2013-11-15 16:26:05 [INFO] [STDOUT] 	at net.minecraft.inventory.Container.putStacksInSlots(Container.java:562)
2013-11-15 16:26:05 [INFO] [STDOUT] 	at net.minecraft.client.multiplayer.NetClientHandler.handleWindowItems(NetClientHandler.java:1284)
2013-11-15 16:26:05 [INFO] [STDOUT] 	at net.minecraft.network.packet.Packet104WindowItems.processPacket(Packet104WindowItems.java:67)
2013-11-15 16:26:05 [INFO] [STDOUT] 	at net.minecraft.network.MemoryConnection.processReadPackets(MemoryConnection.java:89)
2013-11-15 16:26:05 [INFO] [STDOUT] 	at net.minecraft.client.multiplayer.NetClientHandler.processReadPackets(NetClientHandler.java:281)
2013-11-15 16:26:05 [INFO] [STDOUT] 	at net.minecraft.client.multiplayer.WorldClient.tick(WorldClient.java:99)
2013-11-15 16:26:05 [INFO] [STDOUT] 	at net.minecraft.client.Minecraft.runTick(Minecraft.java:1928)
2013-11-15 16:26:05 [INFO] [STDOUT] 	at net.minecraft.client.Minecraft.runGameLoop(Minecraft.java:908)
2013-11-15 16:26:05 [INFO] [STDOUT] 	at net.minecraft.client.Minecraft.run(Minecraft.java:836)
2013-11-15 16:26:05 [INFO] [STDOUT] 	at net.minecraft.client.main.Main.main(Main.java:93)
2013-11-15 16:26:05 [INFO] [STDOUT] 	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
2013-11-15 16:26:05 [INFO] [STDOUT] 	at sun.reflect.NativeMethodAccessorImpl.invoke(Unknown Source)
2013-11-15 16:26:05 [INFO] [STDOUT] 	at sun.reflect.DelegatingMethodAccessorImpl.invoke(Unknown Source)
2013-11-15 16:26:05 [INFO] [STDOUT] 	at java.lang.reflect.Method.invoke(Unknown Source)
2013-11-15 16:26:05 [INFO] [STDOUT] 	at net.minecraft.launchwrapper.Launch.launch(Launch.java:131)
2013-11-15 16:26:05 [INFO] [STDOUT] 	at net.minecraft.launchwrapper.Launch.main(Launch.java:27)
2013-11-15 16:26:05 [INFO] [STDOUT] 
2013-11-15 16:26:05 [INFO] [STDOUT] 
2013-11-15 16:26:05 [INFO] [STDOUT] A detailed walkthrough of the error, its code path and all known details is as follows:
2013-11-15 16:26:05 [INFO] [STDOUT] ---------------------------------------------------------------------------------------
2013-11-15 16:26:05 [INFO] [STDOUT] 
2013-11-15 16:26:05 [INFO] [STDOUT] -- Head --
2013-11-15 16:26:05 [INFO] [STDOUT] Stacktrace:
2013-11-15 16:26:05 [INFO] [STDOUT] 	at ic2.core.IC2Achievements.onCrafting(IC2Achievements.java:139)
2013-11-15 16:26:05 [INFO] [STDOUT] 	at cpw.mods.fml.common.registry.GameRegistry.onItemCrafted(GameRegistry.java:322)
2013-11-15 16:26:05 [INFO] [STDOUT] 	at slashhacker.ic2stuff.ElectricAssemblerTileEntity.craftItem(ElectricAssemblerTileEntity.java:211)
2013-11-15 16:26:05 [INFO] [STDOUT] 	at slashhacker.ic2stuff.ElectricAssemblerTileEntity.onInventoryChanged(ElectricAssemblerTileEntity.java:253)
2013-11-15 16:26:05 [INFO] [STDOUT] 	at net.minecraft.inventory.Slot.onSlotChanged(Slot.java:116)
2013-11-15 16:26:05 [INFO] [STDOUT] 	at net.minecraft.inventory.Slot.putStack(Slot.java:108)
2013-11-15 16:26:05 [INFO] [STDOUT] 	at net.minecraft.inventory.Container.putStacksInSlots(Container.java:562)
2013-11-15 16:26:05 [INFO] [STDOUT] 	at net.minecraft.client.multiplayer.NetClientHandler.handleWindowItems(NetClientHandler.java:1284)
2013-11-15 16:26:05 [INFO] [STDOUT] 	at net.minecraft.network.packet.Packet104WindowItems.processPacket(Packet104WindowItems.java:67)
2013-11-15 16:26:05 [INFO] [STDOUT] 	at net.minecraft.network.MemoryConnection.processReadPackets(MemoryConnection.java:89)
2013-11-15 16:26:05 [INFO] [STDOUT] 	at net.minecraft.client.multiplayer.NetClientHandler.processReadPackets(NetClientHandler.java:281)
2013-11-15 16:26:05 [INFO] [STDOUT] 
2013-11-15 16:26:05 [INFO] [STDOUT] -- Affected level --
2013-11-15 16:26:05 [INFO] [STDOUT] Details:
2013-11-15 16:26:05 [INFO] [STDOUT] 	Level name: MpServer
2013-11-15 16:26:05 [INFO] [STDOUT] 	All players: 1 total; [EntityClientPlayerMP['Player361'/291, l='MpServer', x=241.32, y=73.62, z=203.08]]
2013-11-15 16:26:05 [INFO] [STDOUT] 	Chunk stats: MultiplayerChunkCache: 275
2013-11-15 16:26:05 [INFO] [STDOUT] 	Level seed: 0
2013-11-15 16:26:05 [INFO] [STDOUT] 	Level generator: ID 00 - default, ver 1. Features enabled: false
2013-11-15 16:26:05 [INFO] [STDOUT] 	Level generator options: 
2013-11-15 16:26:05 [INFO] [STDOUT] 	Level spawn location: World: (156,64,252), Chunk: (at 12,4,12 in 9,15; contains blocks 144,0,240 to 159,255,255), Region: (0,0; contains chunks 0,0 to 31,31, blocks 0,0,0 to 511,255,511)
2013-11-15 16:26:05 [INFO] [STDOUT] 	Level time: 3441673 game time, 72629 day time
2013-11-15 16:26:05 [INFO] [STDOUT] 	Level dimension: 0
2013-11-15 16:26:05 [INFO] [STDOUT] 	Level storage version: 0x00000 - Unknown?
2013-11-15 16:26:05 [INFO] [STDOUT] 	Level weather: Rain time: 0 (now: false), thunder time: 0 (now: false)
2013-11-15 16:26:05 [INFO] [STDOUT] 	Level game mode: Game mode: creative (ID 1). Hardcore: false. Cheats: false
2013-11-15 16:26:05 [INFO] [STDOUT] 	Forced entities: 37 total; [EntitySheep['Sheep'/204, l='MpServer', x=162.09, y=67.00, z=281.19], EntityBat['Bat'/273, l='MpServer', x=301.50, y=49.10, z=263.47], EntityCow['Cow'/272, l='MpServer', x=288.53, y=84.00, z=249.53], EntitySheep['Sheep'/201, l='MpServer', x=170.50, y=69.00, z=149.19], EntityMinecartChest['entity.MinecartChest.name'/200, l='MpServer', x=163.50, y=28.50, z=157.50], EntityCow['Cow'/203, l='MpServer', x=175.41, y=70.00, z=281.38], EntitySheep['Sheep'/202, l='MpServer', x=171.75, y=66.00, z=230.16], EntitySheep['Sheep'/259, l='MpServer', x=271.13, y=63.00, z=132.53], EntitySheep['Sheep'/221, l='MpServer', x=186.53, y=68.00, z=159.50], EntityBat['Bat'/222, l='MpServer', x=180.45, y=43.80, z=247.68], EntityCow['Cow'/262, l='MpServer', x=263.25, y=89.00, z=231.78], EntityBat['Bat'/260, l='MpServer', x=272.34, y=45.13, z=150.66], EntitySheep['Sheep'/261, l='MpServer', x=263.25, y=79.00, z=171.06], EntityCow['Cow'/266, l='MpServer', x=283.25, y=69.00, z=146.50], EntitySheep['Sheep'/270, l='MpServer', x=302.78, y=67.00, z=128.50], EntityBat['Bat'/271, l='MpServer', x=304.40, y=37.06, z=229.75], EntityCow['Cow'/269, l='MpServer', x=289.19, y=68.00, z=140.16], EntitySheep['Sheep'/239, l='MpServer', x=218.55, y=67.00, z=173.53], EntitySheep['Sheep'/238, l='MpServer', x=218.45, y=67.00, z=173.53], EntitySheep['Sheep'/237, l='MpServer', x=208.13, y=66.00, z=131.22], EntityPig['Pig'/232, l='MpServer', x=193.13, y=69.00, z=227.94], EntitySheep['Sheep'/231, l='MpServer', x=205.44, y=79.00, z=180.19], EntityPig['Pig'/230, l='MpServer', x=196.50, y=66.00, z=172.25], EntitySheep['Sheep'/229, l='MpServer', x=196.44, y=69.00, z=144.66], EntitySheep['Sheep'/228, l='MpServer', x=207.53, y=66.00, z=144.50], EntitySheep['Sheep'/227, l='MpServer', x=206.38, y=66.00, z=129.47], EntityCow['Cow'/254, l='MpServer', x=246.50, y=70.00, z=276.69], EntityBat['Bat'/252, l='MpServer', x=249.25, y=52.10, z=196.56], EntitySheep['Sheep'/253, l='MpServer', x=251.53, y=84.00, z=198.22], EntitySheep['Sheep'/250, l='MpServer', x=250.09, y=73.00, z=169.34], EntitySheep['Sheep'/251, l='MpServer', x=255.50, y=71.00, z=173.72], EntityClientPlayerMP['Player361'/291, l='MpServer', x=241.32, y=73.62, z=203.08], EntityCow['Cow'/246, l='MpServer', x=233.53, y=68.00, z=249.63], EntityBat['Bat'/244, l='MpServer', x=239.25, y=44.10, z=192.47], EntityBat['Bat'/245, l='MpServer', x=228.13, y=52.10, z=199.50], EntityBat['Bat'/242, l='MpServer', x=238.47, y=45.10, z=189.75], EntityBat['Bat'/243, l='MpServer', x=237.25, y=45.10, z=188.41]]
2013-11-15 16:26:05 [INFO] [STDOUT] 	Retry entities: 0 total; []
2013-11-15 16:26:05 [INFO] [STDOUT] 	Server brand: fml,forge
2013-11-15 16:26:05 [INFO] [STDOUT] 	Server type: Integrated singleplayer server
2013-11-15 16:26:05 [INFO] [STDOUT] Stacktrace:
2013-11-15 16:26:05 [INFO] [STDOUT] 	at net.minecraft.client.multiplayer.WorldClient.addWorldInfoToCrashReport(WorldClient.java:440)
2013-11-15 16:26:05 [INFO] [STDOUT] 	at net.minecraft.client.Minecraft.runTick(Minecraft.java:1941)
2013-11-15 16:26:05 [INFO] [STDOUT] 	at net.minecraft.client.Minecraft.runGameLoop(Minecraft.java:908)
2013-11-15 16:26:05 [INFO] [STDOUT] 	at net.minecraft.client.Minecraft.run(Minecraft.java:836)
2013-11-15 16:26:05 [INFO] [STDOUT] 	at net.minecraft.client.main.Main.main(Main.java:93)
2013-11-15 16:26:05 [INFO] [STDOUT] 	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
2013-11-15 16:26:05 [INFO] [STDOUT] 	at sun.reflect.NativeMethodAccessorImpl.invoke(Unknown Source)
2013-11-15 16:26:05 [INFO] [STDOUT] 	at sun.reflect.DelegatingMethodAccessorImpl.invoke(Unknown Source)
2013-11-15 16:26:05 [INFO] [STDOUT] 	at java.lang.reflect.Method.invoke(Unknown Source)
2013-11-15 16:26:05 [INFO] [STDOUT] 	at net.minecraft.launchwrapper.Launch.launch(Launch.java:131)
2013-11-15 16:26:05 [INFO] [STDOUT] 	at net.minecraft.launchwrapper.Launch.main(Launch.java:27)
2013-11-15 16:26:05 [INFO] [STDOUT] 
2013-11-15 16:26:05 [INFO] [STDOUT] -- Affected level --
2013-11-15 16:26:05 [INFO] [STDOUT] Details:
2013-11-15 16:26:05 [INFO] [STDOUT] 	Level name: MpServer
2013-11-15 16:26:05 [INFO] [STDOUT] 	All players: 1 total; [EntityClientPlayerMP['Player361'/291, l='MpServer', x=241.32, y=73.62, z=203.08]]
2013-11-15 16:26:05 [INFO] [STDOUT] 	Chunk stats: MultiplayerChunkCache: 275
2013-11-15 16:26:05 [INFO] [STDOUT] 	Level seed: 0
2013-11-15 16:26:05 [INFO] [STDOUT] 	Level generator: ID 00 - default, ver 1. Features enabled: false
2013-11-15 16:26:05 [INFO] [STDOUT] 	Level generator options: 
2013-11-15 16:26:05 [INFO] [STDOUT] 	Level spawn location: World: (156,64,252), Chunk: (at 12,4,12 in 9,15; contains blocks 144,0,240 to 159,255,255), Region: (0,0; contains chunks 0,0 to 31,31, blocks 0,0,0 to 511,255,511)
2013-11-15 16:26:05 [INFO] [STDOUT] 	Level time: 3441673 game time, 72629 day time
2013-11-15 16:26:05 [INFO] [STDOUT] 	Level dimension: 0
2013-11-15 16:26:05 [INFO] [STDOUT] 	Level storage version: 0x00000 - Unknown?
2013-11-15 16:26:05 [INFO] [STDOUT] 	Level weather: Rain time: 0 (now: false), thunder time: 0 (now: false)
2013-11-15 16:26:05 [INFO] [STDOUT] 	Level game mode: Game mode: creative (ID 1). Hardcore: false. Cheats: false
2013-11-15 16:26:05 [INFO] [STDOUT] 	Forced entities: 37 total; [EntitySheep['Sheep'/204, l='MpServer', x=162.09, y=67.00, z=281.19], EntityBat['Bat'/273, l='MpServer', x=301.50, y=49.10, z=263.47], EntityCow['Cow'/272, l='MpServer', x=288.53, y=84.00, z=249.53], EntitySheep['Sheep'/201, l='MpServer', x=170.50, y=69.00, z=149.19], EntityMinecartChest['entity.MinecartChest.name'/200, l='MpServer', x=163.50, y=28.50, z=157.50], EntityCow['Cow'/203, l='MpServer', x=175.41, y=70.00, z=281.38], EntitySheep['Sheep'/202, l='MpServer', x=171.75, y=66.00, z=230.16], EntitySheep['Sheep'/259, l='MpServer', x=271.13, y=63.00, z=132.53], EntitySheep['Sheep'/221, l='MpServer', x=186.53, y=68.00, z=159.50], EntityBat['Bat'/222, l='MpServer', x=180.45, y=43.80, z=247.68], EntityCow['Cow'/262, l='MpServer', x=263.25, y=89.00, z=231.78], EntityBat['Bat'/260, l='MpServer', x=272.34, y=45.13, z=150.66], EntitySheep['Sheep'/261, l='MpServer', x=263.25, y=79.00, z=171.06], EntityCow['Cow'/266, l='MpServer', x=283.25, y=69.00, z=146.50], EntitySheep['Sheep'/270, l='MpServer', x=302.78, y=67.00, z=128.50], EntityBat['Bat'/271, l='MpServer', x=304.40, y=37.06, z=229.75], EntityCow['Cow'/269, l='MpServer', x=289.19, y=68.00, z=140.16], EntitySheep['Sheep'/239, l='MpServer', x=218.55, y=67.00, z=173.53], EntitySheep['Sheep'/238, l='MpServer', x=218.45, y=67.00, z=173.53], EntitySheep['Sheep'/237, l='MpServer', x=208.13, y=66.00, z=131.22], EntityPig['Pig'/232, l='MpServer', x=193.13, y=69.00, z=227.94], EntitySheep['Sheep'/231, l='MpServer', x=205.44, y=79.00, z=180.19], EntityPig['Pig'/230, l='MpServer', x=196.50, y=66.00, z=172.25], EntitySheep['Sheep'/229, l='MpServer', x=196.44, y=69.00, z=144.66], EntitySheep['Sheep'/228, l='MpServer', x=207.53, y=66.00, z=144.50], EntitySheep['Sheep'/227, l='MpServer', x=206.38, y=66.00, z=129.47], EntityCow['Cow'/254, l='MpServer', x=246.50, y=70.00, z=276.69], EntityBat['Bat'/252, l='MpServer', x=249.25, y=52.10, z=196.56], EntitySheep['Sheep'/253, l='MpServer', x=251.53, y=84.00, z=198.22], EntitySheep['Sheep'/250, l='MpServer', x=250.09, y=73.00, z=169.34], EntitySheep['Sheep'/251, l='MpServer', x=255.50, y=71.00, z=173.72], EntityClientPlayerMP['Player361'/291, l='MpServer', x=241.32, y=73.62, z=203.08], EntityCow['Cow'/246, l='MpServer', x=233.53, y=68.00, z=249.63], EntityBat['Bat'/244, l='MpServer', x=239.25, y=44.10, z=192.47], EntityBat['Bat'/245, l='MpServer', x=228.13, y=52.10, z=199.50], EntityBat['Bat'/242, l='MpServer', x=238.47, y=45.10, z=189.75], EntityBat['Bat'/243, l='MpServer', x=237.25, y=45.10, z=188.41]]
2013-11-15 16:26:05 [INFO] [STDOUT] 	Retry entities: 0 total; []
2013-11-15 16:26:05 [INFO] [STDOUT] 	Server brand: fml,forge
2013-11-15 16:26:05 [INFO] [STDOUT] 	Server type: Integrated singleplayer server
2013-11-15 16:26:05 [INFO] [STDOUT] 
2013-11-15 16:26:05 [INFO] [STDOUT] -- System Details --
2013-11-15 16:26:05 [INFO] [STDOUT] Details:
2013-11-15 16:26:05 [INFO] [STDOUT] 	Minecraft Version: 1.6.4
2013-11-15 16:26:05 [INFO] [STDOUT] 	Operating System: Windows 7 (amd64) version 6.1
2013-11-15 16:26:05 [INFO] [STDOUT] 	Java Version: 1.7.0_40, Oracle Corporation
2013-11-15 16:26:05 [INFO] [STDOUT] 	Java VM Version: Java HotSpot(TM) 64-Bit Server VM (mixed mode), Oracle Corporation
2013-11-15 16:26:05 [INFO] [STDOUT] 	Memory: 701986736 bytes (669 MB) / 1037959168 bytes (989 MB) up to 1037959168 bytes (989 MB)
2013-11-15 16:26:05 [INFO] [STDOUT] 	JVM Flags: 3 total; -Xincgc -Xmx1024M -Xms1024M
2013-11-15 16:26:05 [INFO] [STDOUT] 	AABB Pool Size: 5654 (316624 bytes; 0 MB) allocated, 474 (26544 bytes; 0 MB) used
2013-11-15 16:26:05 [INFO] [STDOUT] 	Suspicious classes: FML and Forge are installed
2013-11-15 16:26:05 [INFO] [STDOUT] 	IntCache: cache: 0, tcache: 0, allocated: 3, tallocated: 63
2013-11-15 16:26:05 [INFO] [STDOUT] 	FML: MCP v8.11 FML v6.4.3.883 Minecraft Forge 9.11.0.883 7 mods loaded, 7 mods active
2013-11-15 16:26:05 [INFO] [STDOUT] 	mcp{8.09} [Minecraft Coder Pack] (minecraft.jar) Unloaded->Constructed->Pre-initialized->Initialized->Post-initialized->Available->Available->Available->Available
2013-11-15 16:26:05 [INFO] [STDOUT] 	FML{6.4.3.883} [Forge Mod Loader] (bin) Unloaded->Constructed->Pre-initialized->Initialized->Post-initialized->Available->Available->Available->Available
2013-11-15 16:26:05 [INFO] [STDOUT] 	Forge{9.11.0.883} [Minecraft Forge] (bin) Unloaded->Constructed->Pre-initialized->Initialized->Post-initialized->Available->Available->Available->Available
2013-11-15 16:26:05 [INFO] [STDOUT] 	CodeChickenCore{0.9.0.7} [CodeChicken Core] (minecraft.jar) Unloaded->Constructed->Pre-initialized->Initialized->Post-initialized->Available->Available->Available->Available
2013-11-15 16:26:05 [INFO] [STDOUT] 	NotEnoughItems{1.6.1.5_d1} [Not Enough Items] (NotEnoughItems-dev 1.6.1.5_d1.jar) Unloaded->Constructed->Pre-initialized->Initialized->Post-initialized->Available->Available->Available->Available
2013-11-15 16:26:05 [INFO] [STDOUT] 	ic2stuff{0.0.0} [ic2stuff] (bin) Unloaded->Constructed->Pre-initialized->Initialized->Post-initialized->Available->Available->Available->Available
2013-11-15 16:26:05 [INFO] [STDOUT] 	IC2{2.0.301-experimental} [IndustrialCraft 2] (industrialcraft-2-dev-deobf_2.0.301-experimental.jar) Unloaded->Constructed->Pre-initialized->Initialized->Post-initialized->Available->Available->Available->Available
2013-11-15 16:26:05 [INFO] [STDOUT] 	Launched Version: 1.6
2013-11-15 16:26:05 [INFO] [STDOUT] 	LWJGL: 2.9.0
2013-11-15 16:26:05 [INFO] [STDOUT] 	OpenGL: GeForce GTX 680M/PCIe/SSE2 GL version 4.3.0, NVIDIA Corporation
2013-11-15 16:26:05 [INFO] [STDOUT] 	Is Modded: Definitely; Client brand changed to 'fml,forge'
2013-11-15 16:26:05 [INFO] [STDOUT] 	Type: Client (map_client.txt)
2013-11-15 16:26:05 [INFO] [STDOUT] 	Resource Pack: Default
2013-11-15 16:26:05 [INFO] [STDOUT] 	Current Language: English (US)
2013-11-15 16:26:05 [INFO] [STDOUT] 	Profiler Position: N/A (disabled)
2013-11-15 16:26:05 [INFO] [STDOUT] 	Vec3 Pool Size: 1370 (76720 bytes; 0 MB) allocated, 79 (4424 bytes; 0 MB) used
2013-11-15 16:26:05 [INFO] [STDOUT] #@!@# Game crashed! Crash report saved to: #@!@# D:\forge\minecraftforge-src-1.6.4-9.11.0.883\forge\mcp\jars\.\crash-reports\crash-2013-11-15_16.26.05-client.txt
AL lib: (EE) alc_cleanup: 1 device not closed
crash.txt (33,586 bytes)

SlashHacker

2013-11-17 07:06

reporter   ~0001924

FakePlayer is a workaround for this, appears that many other mods don't provide checking either.

This bug report can be closed out.

Ryo_Pasternak

2013-11-23 14:34

reporter   ~0001936

Same is here http://bt.industrial-craft.net/view.php?id=795.

Player

2013-12-12 14:06

administrator   ~0001977

should be fixed in build 326

MaxMacher

2014-01-12 04:51

reporter   ~0002037

I'm still seeing this on build 326 or something pretty similar. See report 0000879

Issue History

Date Modified Username Field Change
2013-11-15 22:09 SlashHacker New Issue
2013-11-15 22:09 SlashHacker File Added: crash.txt
2013-11-17 07:06 SlashHacker Note Added: 0001924
2013-11-23 14:34 Ryo_Pasternak Note Added: 0001936
2013-12-12 14:06 Player Note Added: 0001977
2013-12-12 14:06 Player Status new => resolved
2013-12-12 14:06 Player Resolution open => fixed
2013-12-12 14:06 Player Assigned To => Player
2014-01-12 04:51 MaxMacher Note Added: 0002037